@import "../../partial/scss/base";

.#{$prefix}accordion {
  background: var(--background);
  border-top: 1px solid var(--border-color);

  .item {
    border-bottom: 1px solid var(--border-color);
    display: flex;
    flex-direction: column;

    &[active] {
      border-bottom: 0;

      .header {
        font-weight: var(--font-weight-semi-bold);
      }

      + .content {
        border-bottom: 1px solid var(--border-color);
        display: block;
      }
    }
  }

  .header {
    --bg-color: transparent;
    background: var(--background);
    border: 0;
    color: var(--interactive);
    display: flex;
    font-size: var(--font-size-scale-up-01);
    justify-content: space-between;
    outline: none;
    padding: var(--spacing-scale-2x) 0;
    text-align: left;
    text-decoration: none;
    width: 100%;

    .icon {
      margin: 0 var(--spacing-scale-2x) 0 var(--spacing-scale-baseh);
    }

    .title {
      flex: 1;
      margin: 0;
    }
    @include focus;
    @include hover;
  }

  .content {
    color: var(--color);
    display: none;
    font-size: var(--font-size-scale-base);
    margin: 0 var(--spacing-scale-base);
    padding: var(--spacing-scale-base) var(--spacing-scale-8x) var(--spacing-scale-2x);

    * {
      &:last-child {
        margin-bottom: 0;
      }
    }
  }

  &[negative] {
    @include dark-mode;
    --background: var(--background-dark);
  }
}
